LDBEDIT(1)

NAME
ldbedit - Edit LDB databases using your preferred editor

SYNOPSIS

ldbedit [-?] [--usage] [-s base|one|sub] [-b basedn] [-a] [-e editor] [-H LDB-URL] [expression] [attributes...]

DESCRIPTION

ldbedit is a utility that allows you to edit LDB entries (in tdb files, sqlite files or LDAP servers) using your preferred editor. ldbedit generates an LDIF file based on your query, allows you to edit the LDIF, and then merges that LDIF back into the LDB backend.

OPTIONS

-?, --help
    Show list of available options, and a phrase describing what that option does.

--usage
    Show list of available options. This is similar to the help option, however it does not provide any description, and is hence shorter.

-H <ldb-url>
    LDB URL to connect to. For a tdb database, this will be of the form tdb://filename. For a LDAP connection over unix domain sockets, this will be of the form ldapi://socket. For a (potentially remote) LDAP connection over TCP, this will be of the form ldap://hostname. For an SQLite database, this will be of the form sqlite://filename.

-s one|sub|base
    Search scope to use. One-level, subtree or base.

-a, -all
    Edit all records. This allows you to apply the same change to a number of records at once. You probably want to combine this with an expression of the form "objectclass=*".

-e editor, --editor editor
    Specify the editor that should be used (overrides the VISUAL and EDITOR environment variables). If this option is not used, and neither VISUAL nor EDITOR environment variables are set, then the vi editor will be used.

-b basedn
    Specify Base Distinguished Name to use.

-v, --verbose
    Make ldbedit more verbose about the operations that are being performed. Without this option, ldbedit will only provide a summary change line.

ENVIRONMENT

LDB_URL
    LDB URL to connect to. This can be overridden by using the -H command-line option.)

VISUAL and EDITOR
    Environment variables used to determine what editor to use. VISUAL takes precedence over EDITOR, and both are overridden by the -e command-line option.

VERSION

This man page is correct for version 1.1 of LDB.

SEE ALSO

ldb(3), ldbmodify(1), ldbdel(1), ldif(5), vi(1)

AUTHOR

ldb was written by Andrew Tridgell[1].

If you wish to report a problem or make a suggestion then please see the http://ldb.samba.org/ web site for current contact and maintainer information.

This manpage was written by Jelmer Vernooij and updated by Brad Hards.

NOTES

1.  Andrew Tridgell
    https://www.samba.org/~tridge/